# BoxWidthStyle enum

Defines various ways to horizontally bound the boxes returned by Paragraph.getBoxesForRange.

## Constants

max → const BoxWidthStyle

  Adds up to two additional boxes as needed at the beginning and/or end of each line so that the widths of the boxes in line are the same width as the widest line in the paragraph. The additional boxes on each line are only added when the relevant box at the relevant edge of that line does not span the maximum width of the paragraph.

  `const BoxWidthStyle(1)`
tight → const BoxWidthStyle
  `const BoxWidthStyle(0)`
values → const List<BoxWidthStyle>

  A constant List of the values in this enum, in order of their declaration.

  `const List<BoxWidthStyle>`

## Properties

index → int

  The integer index of this enum.

  final
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

toString() → String
  Returns a string representation of this object.
  override
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited

## Operators

operator ==(dynamic other) → bool
  The equality operator. [...]
  inherited